classification
Title: Reorganize the 3.0 Misc/NEWS file
Type: Stage:
Components: Documentation Versions: Python 3.0
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, christian.heimes, georg.brandl, gvanrossum
Priority: release blocker Keywords:

Created on 2008-03-16 21:25 by gvanrossum, last changed 2008-08-16 16:16 by gvanrossum. This issue is now closed.

Messages (8)
msg63597 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-03-16 21:25
The 3.0 Misc/NEWS file is a mess.  It is vastly incomplete because it
usually gets skipped during merges rather than resolving the conflicts.
msg63720 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-03-17 19:25
Stuff ported from 2.6 needn't be in the 3.0 NEWS, needs it?
msg63729 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-03-17 19:35
Correct.  Martin & I just discussed this.  We'll empty the current 3.0
NEWS file and start adding stuff consistently from 3.0a3, but skipping
stuff merged from 3.0.  For the big changes since 2.x, people will have
to refer to other porting docs, like whatsnew.
msg64253 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-03-21 18:31
> but skipping stuff merged from 3.0.

Do you mean "skipping stuff merged from 2.6" ?
msg64259 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-03-21 19:02
>  Do you mean "skipping stuff merged from 2.6" ?

Yes :)
msg70756 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-08-05 19:28
Let's see if we can fix this by beta3.
msg71210 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-08-16 13:06
I'm a little confused on what needs to happen here. It's "incomplete"
because it gets skipped in merges, but "2.6 ports don't need to be in 3.0".
msg71222 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-08-16 16:16
I worry that many things were not recoded in Misc/NEWS at all,
especially in the early days of 3.0 development (e.g. in the p3yk branch
:-).

I'm not sure if it's possible to fix this retroactively, however.  As
long as we keep the changes between the betas complete, and as long as
somebody updates the "what's new" document (I have volunteered for that
though I'm not sure I'll get to it :-( ) I'm okay.

So let's close this.  We don't need more busy-work.
History
Date User Action Args
2008-08-16 16:16:05gvanrossumsetstatus: open -> closed
resolution: wont fix
messages: + msg71222
2008-08-16 13:06:23benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg71210
2008-08-05 19:28:56gvanrossumsetpriority: release blocker
assignee: gvanrossum ->
messages: + msg70756
2008-03-29 01:54:49georg.brandlsetassignee: georg.brandl -> gvanrossum
2008-03-21 19:02:47gvanrossumsetmessages: + msg64259
2008-03-21 18:31:28christian.heimessetnosy: + christian.heimes
messages: + msg64253
2008-03-17 19:35:00gvanrossumsetmessages: + msg63729
2008-03-17 19:25:22georg.brandlsetmessages: + msg63720
2008-03-16 21:25:57gvanrossumcreate